DOMCharacterData::substringData
DOMComment::__construct
DOM
PHP Manual

# The DOMComment class

## Introduction

Represents comment nodes, characters delimited by `<!--` and `-->`.

## Class synopsis

DOMComment
class DOMComment extends DOMCharacterData {
/* Methods */
__construct ([ string `$value` ] )
/* Inherited methods */
void DOMCharacterData::appendData ( string `$data` )
void DOMCharacterData::deleteData ( int `$offset` , int `$count` )
void DOMCharacterData::insertData ( int `$offset` , string `$data` )
void DOMCharacterData::replaceData ( int `$offset` , int `$count` , string `$data` )
string DOMCharacterData::substringData ( int `$offset` , int `$count` )
}

## See Also

- » W3C specification of Comment

## Table of Contents

- DOMComment::__construct — Creates a new DOMComment object

DOMCharacterData::substringData
DOMComment::__construct
DOM
PHP Manual